#!/usr/bin/env sh

. /usr/local/Reductor/etc/const
# shellcheck disable=SC1090

set -eu

main() {
	prefix="$1"
	input="$LISTDIR/tmp/$prefix.all"
	output="$LISTDIR/tmp/$prefix.normal"
	slashes="$LISTDIR/tmp/$prefix.slashes"
	egrep -v "(/|^\s*\t*\s*$)" $input > $output || true
	if egrep -q "(/|^\s*\t*\s*$)" $input > $slashes; then
		log "WARNING: $input содержит строки, не являющиеся доменом, которые будут игнорироваться"
		cat $slashes
	fi
}

main "$@"
