#!/bin/bash

. /usr/local/Reductor/etc/const

read version < $MAINDIR/etc/version
if [ "$version" -lt 749999 ]; then
	if [ ! -f "$HOOKDIR/idontwantsni" ]; then
		. $CONFIG
		if [ "${filter['sni']:-0}" = '0' ]; then
			echo "Включаем SNI на машинах, где он остался выключенным со времён когда он был экспериментальным."
			. $MENULIB
			filter['sni']='1'
			save_and_exit || true
		fi
	fi
	if [ ! -f "$HOOKDIR/idontwantnotrack" ]; then
		. $CONFIG
		if [ "${filter['notrack']:-0}" = '0' ]; then
			echo "Включаем NOTRACK на машинах, где он остался выключенным со времён когда это было небезопасно."
			. $MENULIB
			filter['notrack']='1'
			save_and_exit || true
		fi
	fi

fi

