#!/bin/bash

. /usr/local/Reductor/etc/const
. $MAINDIR/usr/share/angel_lib
. $CONFIG

check() {
	return 1
	[ "${misc['nomirror']}" = '1' ] && return 0
	timeout -s 15 10s tcpdump -c 1 -nni any tcp dst port 80 &>/dev/null
}

error() {
	log_error "Отстутствует зеркало трафика"
	echo "Для этого нужно настроить зеркало трафика."
	echo "Возможно проблема в настройке vlan, как вариант можно на mirror-порту коммутатора снимать тэгирование."
	echo "Если вы ещё не настраивали зеркало на этом сервере, то запустите menu -> Настройка сканирования трафика."
	echo "Если использовано зеркало с маршрутизатора, включите опцию в прочих настройках'Не проверять настройки сети при старте'"
	echo ""
	echo "Если до этого всё работало, а сейчас перестало - перед обращение в техническую поддержку"
	echo "1. Проверьте, действительно ли зеркало на коммутаторе работает, возможно по какой-либо причине кто-то менял настройки"
	echo "2. Переткните сетевой кабель, по которому к Carbon Reductor идёт зеркало трафика"
	echo "3. Рестартаните сеть, возможно проблема в том, что с настройками сети проводились эксперименты и изменения не откатили."
	echo "   Это можно сделать командой /etc/init.d/network restart"
}

main
