#!/bin/bash

remove_https() {
	egrep -v https
}

get_url_lines() {
	egrep -o "http[^ ]*"
}

get_info() {
	while read line; do
		/usr/local/Reductor/bin/url_info.sh $line
	done
}

if [ "$1" = '--no-https' ]; then
	shift
	remove_https < $1 | get_url_lines | get_info
	exit
fi

get_url_lines < "$1" | get_info
