#!/usr/bin/env bash

. /usr/local/Reductor/etc/const
# shellcheck disable=SC1090
. $CONFIG

set -eu

main() {
	local prefix="$1"
	local input="$LISTDIR/tmp/$prefix.all"
	local output="$LISTDIR/tmp/$prefix.normal"
	egrep "^$ip_regex [0-9]{1,5}$" $input > $output || true
}

main "$@"
